body {
  font-family: Arial, sans-serif;
  margin: 0 auto;
  padding: 0;
  background-color: #36454F;
  color: #333;
}

.tradingview-widget-container {
  height: 60vh !important;
}

:root {
  --card: #2a160f;
  --muted: #d7b59a;
  --radius: 5px
}

* {
  box-sizing: border-box
}

.wrap {
  display: flex;
  flex-direction: column;
}

.grid {
  display: grid;
  grid-template-columns: repeat(auto-fit, minmax(240px, 1fr));
  gap: 30px
}

.card {
  border-radius: var(--radius);
  padding: 18px 18px 20px;
  box-shadow: 0 0 15px #142d33;
  display: flex;
  flex-direction: column;
  justify-content: space-between;
  background: var(--card);
}

.logo {
  height: 100px;
  display: flex;
  align-items: center;
  margin-bottom: 10px
}

.logo img {
  max-height: 100px;
  max-width: 100%;
  display: block
}

.logo-fallback {
  width: 64px;
  height: 48px;
  border-radius: 8px;
  background: #3b2219;
  display: flex;
  align-items: center;
  justify-content: center;
  font-weight: 700
}

.name {
  margin: 6px 0 6px;
  font-weight: 700;
  color: #fff;
}

.kicker {
  color: var(--muted);
  font-weight: 700;
  margin: 0 0 6px;
}

.bonus {
  margin: 0 0 16px;
  /* min-height: 42px; */
  opacity: .95;
  color: #5aff71;
}

.card button {
  align-self: center;
}

.error {
  background: #4a1f1f;
  border: 1px solid #8a3b3b;
  color: #ffdede;
  padding: 12px 14px;
  border-radius: 10px
}

section {
  padding: 20px;
  margin: 0px auto;
  background-color: #fff;
  border-radius: 8px;
  box-shadow: 0 2px 5px rgba(0, 0, 0, 0.1);
  max-width: 1400px;
  box-sizing: border-box;
}

header {
  background-color: #142d33; 
  color: rgb(255, 255, 255);
  margin-bottom: 40px;
}

.header-logo {
  border-radius: 10px;
  max-width: 60px;
  cursor: pointer;
  height: auto;
  flex: 1;
}

nav {
  display: flex;
  justify-content: space-between;
  align-items: center;
  padding: 20px 20px;
  max-width: 1400px;
  margin: auto;
  font-weight: 800;
  gap: 20px;
  box-sizing: border-box;
}


.burger {
  display: none;
  background: none;
  border: 0;
  font-size: 32px;
}

nav > a {
  text-decoration: none;
  display: contents;
  height: fit-content;
}

.main-menu {
  display: flex;
  gap: 10px;
  list-style: none;
  margin: 0;
  flex: 4;
  padding: 0;
  flex-wrap: wrap;
  font-size: 13px;
}

main > section:first-of-type {
  display: grid;
  column-gap: 20px;
  grid-template-columns: 2fr 1fr;
}

main > section:first-of-type > *:not(.image-container) {
  grid-column-end: 2;
  width: fit-content;
}

.image-container {
  grid-row-start: 1;
  grid-column-start: 2;
  grid-row-end: 3;
}

.image-container > img {
  width: 100%;
  border-radius: 10px;
}

nav ul li a {
  color: #fff;
  opacity: 0.8;
  text-decoration: none;
  font-weight: bold;
  cursor: pointer;
}

nav ul li a:hover {
  opacity: 1;
}

.dropdown {
  padding: 10px 10px 0px;
  list-style: none;
  position: relative;
}

.dropdown:hover {
  background: #3f8568;
  border-radius: 10px 10px 0% 0%;
}

.dropdown > span {
  cursor: pointer;
}

.dropdown-menu {
  display: none;
  position: absolute;
  left: 0;
  top: 100%;
  background: #3f8568;
  padding: 10px 0 10px 10px;
  border-radius: 0 0 10px 10px;
  text-decoration: none;
  list-style: none;
  min-width: 100%;
  width: fit-content;
  box-sizing: border-box;
  z-index: 99999999;
}

.dropdown-menu > li {
  width: fit-content;
  padding-top: 3px;
}

.dropdown:hover .dropdown-menu {
  display: grid;
}

h1,
h2,
h3,
h4 {
  margin: 20px 0 10px 0;
  font-weight: bold;
}

a,
button {
  transition: all 0.2s;
}


.header__button,
a.section-button {
  display: inline-block;
  margin: 10px 0;
  padding: 10px 20px;
  background-color: #28a745;
  color: #fff;
  text-decoration: none;
  border-radius: 5px;
  font-weight: bold;
  border: none;
}

.header__button:hover,
a.section-button:hover {
  background-color: #05d134;
}


table {
  width: 100%;
  border-collapse: collapse;
  margin: 20px 0;
}

table,
th,
td {
  border: 1px solid #ccc;
}

th,
td {
  padding: 10px;
  text-align: left;
}

th {
  background-color: #eee;
}

footer {
  background: #142d33;
  color: #fff;
  padding: 40px 0px;
  margin-top: 40px;
  text-align: left;
}

.footer-grid {
  padding: 0px 20px;
  max-width: 1400px;
  display: grid;
  grid-template-columns: auto 5fr 1fr;
  grid-template-rows: 4fr 1fr;
  gap: 30px;
  margin: auto;
}

.footer-col:last-child {
  grid-row-start: 2;
  grid-column-start: 1;
  grid-column-end: 4;
}

.footer-col img {
  border-radius: 10px;
  max-width: 60px;
  cursor: pointer;
  height: auto;
}

.footer-col ul {
  display: grid;
  gap: 5px;
  list-style: none;
  padding: 0;
  margin: 0;
  font-size: 10px;
}
.footer-legal {
  font-size: 10px;
}

.footer-legal ul {
  margin-top: 10px;
}

.footer-menu {
  display: flex !important;
  gap: 20px !important;
  flex-wrap: wrap;
}

.footer-menu li ul {
  display: grid;
  list-style: none;
  padding: 0;
  margin: 0;
  gap: 5px;
  margin-top: 10px;
}

.footer-col a {
  color: #ccc;
  text-decoration: none;
}

.footer-col a:hover {
  color: #fff;
}

.footer-col p {
  font-size: 14px;
  color: #aaa;
  align-self: end;
}

@media (max-width: 550px) {
  header {
    margin-bottom: 0px;
  }

  nav {
    padding: 10px 10px;
    gap: 10px;
  }

  .burger {
    display: block;
  }

  .main-menu {
    position: absolute;
    top: 70px; 
    left: 0;
    width: 100%;
    background: #142d33;
    flex-direction: column;
    padding: 10px;
    gap: 5px;
    display: none; 
    z-index: 9999;
  }

  .dropdown {
    padding: 10px 00px 0px;
  }

  .dropdown-menu {
    display: grid;
    position: relative;
    background: none;
  }

  .main-menu.open {
    display: flex; 
    box-sizing: border-box;
  }

  main > section:first-of-type {
    grid-template-columns: 1fr;
  }

  .image-container {
    grid-row-start: 4;
    grid-column-start: 1;
    grid-row-end: 5;
  }

  h1,
  h2,
  h3,
  h4 {
    margin: 10px 0 10px 0;
    font-weight: bold;
  }
  section {
    padding: 10px;
    overflow: scroll;
  }

  th,
  td {
    padding: 4px;
  }

  table {
    margin: 10px 0;
  }

  table::-webkit-scrollbar {
    height: 6px;
  }

  table::-webkit-scrollbar-thumb {
    background: #ccc;
    border-radius: 4px;
  }

  footer {
    padding: 20px 0px;
    margin-top: 0px;
  }

  .footer-grid {
    padding: 0px 10px;
    grid-template-columns: auto 5fr;
    grid-template-rows: 4fr 2fr 1fr;
    gap: 20px;
  }

  .footer-legal {
    grid-row-start: 2;
    grid-column-start: 1;
    grid-column-end: 3;
  }

  .footer-col:last-child {
    grid-row-start: 3;
    grid-column-start: 1;
    grid-column-end: 3;
}
}